.feed-card {
    background: #fff;
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    margin-bottom: 20px;
    border: solid;
    border:none;
    position: relative;
}
.more_container{
    position: absolute;
    right: 0;
    top: 0;
    font-weight: bolder;
    cursor: pointer;
}
.more_container_content{
    width: 300px;
    height: 200px;
    background-color: var(--tertiary-color);
    display: none;
    margin-top: 25px;
}
.card-header {
    padding: 15px 20px;
    border-bottom: 1px solid #eee;
}
.post_header{
    font-size: larger;
    font-weight: bolder;
    text-decoration: underline;
}
.feed-post-title {
    margin: 0;
    font-size: 1.5em;
    color: black;
}

.feed-post-info {
    margin-top: 5px;
    font-size: xx-small;
    color: black;
    display: flex;
    justify-content: space-between;
    display: flex;
    flex-direction: row;
    align-items: center;
}
.post-datetime{
    font-family: monospace;         /* ensures each character has same width */
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    display: flex;
    flex-direction: row;
    align-items: center;
}
.post-datetime > svg{
    color: black;
}
.feed-card-content {
    padding: 8px;
    font-size: 1em;
    color: black;
    line-height: 1.5em;
}

.feed-card-footer {
    display: flex;
    justify-content: stretch;
    padding: 10px 0;
    background: #e0c573;
    border-top: 1px solid #eee;
    background:var(--tertiary-color);
    box-shadow: 0px 0px 17px 4px;
}
.feed-card-footer > button {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    /* margin: 3px; */
    transition: background 0.3s;
    font-size: x-small;
}
.btn {
    background:white;
    /* background: #906d38; */
    color: black;
    border: none;
    border-radius: 5px;
    padding: 8px 12px;
    font-size: 0.9em;
    cursor: pointer;
    font-weight: bolder;
    transition: background 0.3s;
}

.btn:hover {
    background: #0056b3;
}



.comment-btn:hover {
    background: #1e7e34;
}



.like-btn:hover {
    background: #117a8b;
}



.share-btn:hover {
    background: #e0a800;
}

.post_modal{
    position: fixed;
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.5);
    top: 0px;
    left:0px;
    width: 100vw;
    height: 100vh;
    max-width: 100%;
    padding: 5px;
    box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 1%;
    z-index: 90;
}
.post_modal_content{
    display: flex;
    flex-direction: column;
    /* align-items: center;
    justify-content: center; */
    background: var(--gradient);
    width: 700px;
    max-width: 97vw;
    height: 90vh;
    padding: 10px;
    box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 1%;
    z-index: 90000;
}
.post_content_content{
    width: 100%;
    height: 100%;
    /* border: solid 1px black; */
    padding: 10px;
    overflow: scroll;
}

.post_options{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    height: 40px;
    background:var(--main-color);
}
.post_close_button{
    width: 20px;
    height: 20px;
    background-color: red;
    color: white;
    border-radius: 50%;
    align-items: center;
    justify-content: center;
    text-align: center;
    cursor: pointer;
}
.link_options{
    display: none;
    flex-direction: column;
    width: auto;
    padding: 5px;
    height: auto;
    position: absolute;
    margin-top: -130px;
    background: var(--main-color);
    color: white;
    border-radius: 3px;
}
.link_options > div{
    width: 100%;
    height: 20px !important ;
    border: solid 1px white !important ;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    cursor: pointer;
}